Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.message
Class MessageImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.apache.cxf.message.MessageImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, Message

    public class MessageImpl

extends java.util.HashMap<java.lang.String,java.lang.Object>
implements Message

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.apache.cxf.message.Message
`BASE_PATH, CONTENT_TYPE, ENCODING, ENDPOINT_ADDRESS, FAULT_STACKTRACE_ENABLED, FIXED_PARAMETER_ORDER, HTTP_REQUEST_METHOD, INBOUND_MESSAGE, INVOCATION_OBJECTS, MIME_HEADERS, MTOM_ENABLED, PASSWORD, PATH_INFO, PROTOCOL_HEADERS, QUERY_STRING, REQUESTOR_ROLE, RESPONSE_CODE, SCHEMA_VALIDATION_ENABLED, TRANSPORT, USERNAME`

Constructor Summary
`MessageImpl()`

Method Summary
`static void` | `copyContent(Message m1, Message m2)`
`
`<T> T`
` | `get(java.lang.Class<T> key)` Convenience method for storing/retrieving typed objects from the map.
`java.lang.String` | `getAttachmentMimeType()`
`java.util.Collection<Attachment>` | `getAttachments()`
`Conduit` | `getConduit()`
`
`<T> T`
` | `getContent(java.lang.Class<T> format)` Retrieve the encapsulated content as a particular type (a result type if message is outbound, a source type if message is inbound)
`java.util.Set<java.lang.Class<?>>` | `getContentFormats()`
`java.lang.Object` | `getContextualProperty(java.lang.String key)`
`Destination` | `getDestination()`
`Exchange` | `getExchange()`
`java.lang.String` | `getId()`
`InterceptorChain` | `getInterceptorChain()`
`
`<T> void`
` | `put(java.lang.Class<T> key, T value)` Convenience method for storing/retrieving typed objects from the map.
`void` | `setConduit(Conduit c)`
`
`<T> void`
` | `setContent(java.lang.Class<T> format, java.lang.Object content)` Provide the encapsulated content as a particular type (a result type if message is outbound, a source type if message is inbound)
`void` | `setDestination(Destination d)`
`void` | `setExchange(Exchange e)`
`void` | `setId(java.lang.String i)`
`void` | `setInterceptorChain(InterceptorChain ic)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### MessageImpl

    public MessageImpl()

Method Detail

### getAttachments

    public java.util.Collection<Attachment> getAttachments()

  Specified by:
    `getAttachments` in interface `Message`

### getAttachmentMimeType

    public java.lang.String getAttachmentMimeType()

  Specified by:
    `getAttachmentMimeType` in interface `Message`
  Returns:
    the mime type string

### getConduit

    public Conduit getConduit()

  Specified by:
    `getConduit` in interface `Message`
  Returns:
    the associated Conduit if message is outbound, null otherwise

### getDestination

    public Destination getDestination()

  Specified by:
    `getDestination` in interface `Message`
  Returns:
    the associated Destination if message is inbound, null otherwise

### getExchange

    public Exchange getExchange()

  Specified by:
    `getExchange` in interface `Message`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `Message`

### getInterceptorChain

    public InterceptorChain getInterceptorChain()

  Specified by:
    `getInterceptorChain` in interface `Message`

### getContent

    public <T> T getContent(java.lang.Class<T> format)

  Description copied from interface: `Message`
  Retrieve the encapsulated content as a particular type (a result type if message is outbound, a source type if message is inbound)

  Specified by:
    `getContent` in interface `Message`
  Parameters:
    `format` - the expected content format
  Returns:
    the encapsulated content

### setContent

    public <T> void setContent(java.lang.Class<T> format,
                               java.lang.Object content)

  Description copied from interface: `Message`
  Provide the encapsulated content as a particular type (a result type if message is outbound, a source type if message is inbound)

  Specified by:
    `setContent` in interface `Message`
  Parameters:
    `format` - the provided content format
    `content` - the content to be encapsulated

### getContentFormats

    public java.util.Set<java.lang.Class<?>> getContentFormats()

  Specified by:
    `getContentFormats` in interface `Message`
  Returns:
    the set of currently encapsulated content formats

### setConduit

    public void setConduit(Conduit c)

### setDestination

    public void setDestination(Destination d)

### setExchange

    public void setExchange(Exchange e)

  Specified by:
    `setExchange` in interface `Message`

### setId

    public void setId(java.lang.String i)

  Specified by:
    `setId` in interface `Message`

### setInterceptorChain

    public void setInterceptorChain(InterceptorChain ic)

  Specified by:
    `setInterceptorChain` in interface `Message`

### get

    public <T> T get(java.lang.Class<T> key)

  Description copied from interface: `Message`
  Convenience method for storing/retrieving typed objects from the map. equivalent to: (T)get(key.getName());

  Specified by:
    `get` in interface `Message`
  Type Parameters:
    `T` - key
  Returns:

### put

    public <T> void put(java.lang.Class<T> key,
                        T value)

  Description copied from interface: `Message`
  Convenience method for storing/retrieving typed objects from the map. equivalent to: put(key.getName(), value);

  Specified by:
    `put` in interface `Message`
  Type Parameters:
    `T` - key

### getContextualProperty

    public java.lang.Object getContextualProperty(java.lang.String key)

  Specified by:
    `getContextualProperty` in interface `Message`

### copyContent

    public static void copyContent(Message m1,
                                   Message m2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-